Package org.apache.synapse.task

## Class TaskDescription

- java.lang.Object
- - org.apache.synapse.task.TaskDescription

-     public final class TaskDescription
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CLASSNAME` |
    `static String` | `DEFAULT_GROUP` |
    `static String` | `INSTANCE` |
    `static String` | `PROPERTIES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDescription()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProperty​(String name, String value)` |
    `void` | `addResource​(String key, Object value)` |
    `int` | `getCount()` |
    `String` | `getCronExpression()` |
    `Calendar` | `getEndTime()` |
    `long` | `getInterval()` |
    `boolean` | `getIntervalInMs()` |
    `String` | `getName()` |
    `List<String>` | `getPinnedServers()` |
    `Map<String,​String>` | `getProperties()` |
    `Object` | `getProperty​(String name)` |
    `Object` | `getResource​(String key)` |
    `Map<String,​Object>` | `getResources()` |
    `Calendar` | `getStartTime()` |
    `String` | `getTaskDescription()` |
    `String` | `getTaskGroup()` |
    `String` | `getTaskImplClassName()` |
    `Set<org.apache.axiom.om.OMElement>` | `getXmlProperties()` |
    `void` | `removeProperty​(String name)` |
    `void` | `setCount​(int count)` |
    `void` | `setCronExpression​(String cronExpression)` |
    `void` | `setEndTime​(Calendar endTime)` |
    `void` | `setInterval​(long interval)` |
    `void` | `setIntervalInMs​(boolean isIntervalInMs)` |
    `void` | `setName​(String name)` |
    `void` | `setPinnedServers​(List<String> pinnedServersList)` |
    `void` | `setProperties​(Map<String,​String> properties)` |
    `void` | `setResources​(Map<String,​Object> resources)` |
    `void` | `setStartTime​(Calendar startTime)` |
    `void` | `setTaskDescription​(String taskDescription)` |
    `void` | `setTaskGroup​(String taskGroup)` |
    `void` | `setTaskImplClassName​(String taskMgrClassName)` |
    `void` | `setXmlProperty​(org.apache.axiom.om.OMElement property)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASSNAME

          public static final String CLASSNAME

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### INSTANCE

          public static final String INSTANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP

          public static final String DEFAULT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskDescription

          public TaskDescription()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### setProperties

          public void setProperties​(Map<String,​String> properties)

    - #### addProperty

          public void addProperty​(String name,
                                  String value)

    - #### removeProperty

          public void removeProperty​(String name)

    - #### getProperty

          public Object getProperty​(String name)

    - #### getProperties

          public Map<String,​String> getProperties()

    - #### getTaskGroup

          public String getTaskGroup()

    - #### setTaskGroup

          public void setTaskGroup​(String taskGroup)

    - #### getTaskImplClassName

          public String getTaskImplClassName()

    - #### setTaskImplClassName

          public void setTaskImplClassName​(String taskMgrClassName)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount​(int count)

    - #### getInterval

          public long getInterval()

    - #### getIntervalInMs

          public boolean getIntervalInMs()

    - #### setInterval

          public void setInterval​(long interval)

    - #### getPinnedServers

          public List<String> getPinnedServers()

    - #### setPinnedServers

          public void setPinnedServers​(List<String> pinnedServersList)

    - #### getCronExpression

          public String getCronExpression()

    - #### setCronExpression

          public void setCronExpression​(String cronExpression)

    - #### getStartTime

          public Calendar getStartTime()

    - #### setStartTime

          public void setStartTime​(Calendar startTime)

    - #### getEndTime

          public Calendar getEndTime()

    - #### setEndTime

          public void setEndTime​(Calendar endTime)

    - #### setIntervalInMs

          public void setIntervalInMs​(boolean isIntervalInMs)

    - #### getResources

          public Map<String,​Object> getResources()

    - #### setResources

          public void setResources​(Map<String,​Object> resources)

    - #### addResource

          public void addResource​(String key,
                                  Object value)

    - #### getResource

          public Object getResource​(String key)

    - #### getXmlProperties

          public Set<org.apache.axiom.om.OMElement> getXmlProperties()

    - #### setXmlProperty

          public void setXmlProperty​(org.apache.axiom.om.OMElement property)

    - #### getTaskDescription

          public String getTaskDescription()

    - #### setTaskDescription

          public void setTaskDescription​(String taskDescription)